/***********************************************************************/
/* Copyright (c) 1999-2005, The Rector and Board of Visitors of the    */
/* University of Virginia.                                             */
/* All rights reserved.                                                */
/*                                                                     */
/* This program is being made available under the terms of version 2.1 */
/* of theGNU Lesser General Public License ("LGPL") as published as of */
/* February, 1999 by the Free Software  Foundation; and subject to the */
/* restrictions of the LGPL, you are authorized to  modify and/or      */
/* redistribute it.                                                    */
/*                                                                     */
/* As stated in the LGPL, THIS PROGRAM IS BEING MADE AVAILABLE "AS IS",*/
/* AND WITHOUT A WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED,    */
/* INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF            */
/* MERCHANTABILITY AND  FITNESS FOR A PARTICULAR PURPOSE. FURTHER, YOU */
/* AGREE NOT TO HOLD THE COPYRIGHT  OWNER(S) LIABLE FOR DAMAGES,       */
/* INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES,*/
/* ARISING OUT OF THE USE OR INABILITY TO USE  THE PROGRAM.            */
/* See the GNU General Public License for more details.                */
/*                                                                     */
/* You should have received a copy of version 2.1 of the GNU General   */
/* Public License along with this program; if not, you may obtain a    */
/* copy  from the Free Software Foundation website at the following URL*/
/* address (link  active as of September 1, 2005):                     */
/* http://www.fsf.org/licensing/licenses/lgpl.html; or that failing,   */
/* you can request a copy from Free Software Foundation,  Inc., 51     */
/* Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.                */
/*                                                                     */
/* This program is part of the HyperCast software distribution. To     */
/* learn more about HyperCast, please visit the website at             */
/* http://www.hypercast.org.                                           */
/***********************************************************************/

/* 
 * @author HyperCast Team
 * @author gd4j
 * Created on May 6, 2004
 *
 *
 * To change the template for this generated type comment go to
 * Window&gt;Preferences&gt;Java&gt;Code Generation&gt;Code and Comments
 */

package gui;

import java.util.Random;

import org.w3c.dom.Element;

import hypercast.I_LogicalAddress;
import hypercast.SPT.SPT_LogicalAddress;

import runcontrol.RunControl;

public class RunSPTNetwork extends RunNetwork {

	/**
	 * @param rc2inst
	 */
	public RunSPTNetwork(RunControl rc2inst) {
		super(rc2inst);
		
	}

	
	/* (non-Javadoc)
	 * @see RunNetwork#parseLogicalAddress(java.lang.String)
	 */
	public I_LogicalAddress parseLogicalAddress(String la) {
		return new SPT_LogicalAddress(la);
	}

	/* (non-Javadoc)
	 * @see RunNetwork#createRunNodeInst(physicalInterface, int, int)
	 */
	public RunNode createRunNodeInst(physicalInterface p, int pIndex, int sIndex) {
		return new RunSPTNode(p, null, pIndex, sIndex, this);
	}

	public OverlayNode getLogicalNextHop(OverlayNode src, OverlayNode dst) {
		// TODO Auto-generated method stub
		return null;
	}
	
	

}
